Summary:       Library and tools for handling papersize
Name:          libpaper
Version:       1.1.29
Release:       2%{?dist}
License:       GPLv2
URL:           http://packages.qa.debian.org/libp/libpaper.html
Source0:       http://ftp.debian.org/debian/pool/main/libp/libpaper/%{name}_%{version}.tar.gz

Patch3000:     libpaper-useglibcfallback.patch
Patch3001:     libpaper-file-leak.patch

BuildRequires: gcc git-core make libtool gettext gawk

%description
The paper library and accompanying files are intended to provide a  simple way for applications to
take actions based on a system- or user-specified paper size. This release is quite minimal, its purpose 
being to provide really basic functions (obtaining the system paper name  and getting the height and width
of a given kind of paper) that applications can immediately integrate.

%package devel
Summary:    Headers/Libraries for developing programs that use libpaper
Requires:    %{name} = %{version}-%{release}

%description devel
This package contains headers and libraries that programmers will need to develop applications which use libpaper.

%prep
%autosetup -S git
libtoolize

%build
touch AUTHORS NEWS
aclocal
autoheader
autoconf
automake -a
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_sysconfdir}
echo '# Simply write the paper name. See papersize(5) for possible values' > %{buildroot}%{_sysconfdir}/papersize
mkdir -p %{buildroot}%{_sysconfdir}/libpaper.d
for i in cs da de es fr gl hu it ja nl pt_BR sv tr uk vi; do
    mkdir -p %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/;
    msgfmt debian/po/$i.po -o %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/%{name}.mo;
done
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/papersize
%dir %{_sysconfdir}/libpaper.d
%{_bindir}/paperconf
%{_libdir}/libpaper.so.1.1.2
%{_libdir}/libpaper.so.1
%{_sbindir}/paperconfig
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%{_includedir}/paper.h
%{_libdir}/libpaper.so
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.29-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.1.29-1
- Upgrade to version 1.1.29

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.28-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.28-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 1.1.28-1
- initial build

